
Foreman - Bug #6864

APIv2 error messages not extracted

07/31/2014 08:56 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Internationalization   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1680

  

Description

The error message responses in APIv2 under app/views/api/v2/errors/* haven't been extracted for i18n purposes.  I'd also suggest

checking (base?) controllers just in case there any more lurking.

Related issues:

Related to Foreman - Feature #4478: API docs need to be localized Closed 02/27/2014

Associated revisions

Revision 8f51acd4 - 09/21/2014 08:33 AM - Tomáš Strachota

Fixes #6864 - adding api messages for extraction

History

#1 - 07/31/2014 08:56 AM - Dominic Cleal

- Related to Feature #4478: API docs need to be localized added

#2 - 07/31/2014 08:56 AM - Dominic Cleal

- Target version set to 1.7.5

#3 - 08/11/2014 06:48 AM - Tomáš Strachota

- Status changed from New to Assigned

- Assignee set to Tomáš Strachota

#4 - 08/12/2014 04:15 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1680 added

- Pull request deleted ()

#5 - 08/20/2014 06:50 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#6 - 09/10/2014 07:21 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#7 - 09/21/2014 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8f51acd4d6c83cc391217ebcb2ef2be54f920f20.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/8f51acd4d6c83cc391217ebcb2ef2be54f920f20


#8 - 09/22/2014 04:20 AM - Dominic Cleal

- translation missing: en.field_release set to 21
